org.richfaces.resource.external

## Interface ExternalResourceTracker

- All Known Implementing Classes:
    ExternalResourceTrackerWrapper, MojarraExternalResourceTracker, MyFacesExternalResourceTracker

      public interface ExternalResourceTracker

  Tracks what external resources are renderered to the page
  Author:
    Lukas Fryc

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isResourceRenderered(javax.faces.context.FacesContext facesContext, ResourceKey resourceKey)` Returns true if given resource has been already renderered to the page
    `void` | `markExternalResourceRendered(javax.faces.context.FacesContext facesContext, ExternalResource resourceKey)` Marks given `ExternalResource` and all other resources with same external location ( `ExternalResource.getExternalLocation()`) as rendered
    `void` | `markResourceRendered(javax.faces.context.FacesContext facesContext, ResourceKey resourceKey)` Marks given resource as renderered

- - ### Method Detail

    - #### isResourceRenderered

          boolean isResourceRenderered(javax.faces.context.FacesContext facesContext,
                                     ResourceKey resourceKey)

      Returns true if given resource has been already renderered to the page
      Returns:
        true if given resource has been already renderered to the page; false otherwise

    - #### markResourceRendered

          void markResourceRendered(javax.faces.context.FacesContext facesContext,
                                  ResourceKey resourceKey)

      Marks given resource as renderered

    - #### markExternalResourceRendered

          void markExternalResourceRendered(javax.faces.context.FacesContext facesContext,
                                          ExternalResource resourceKey)

      Marks given `ExternalResource` and all other resources with same external location ( `ExternalResource.getExternalLocation()`) as rendered

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.